<template>
  <div class="main-content">
    <div class="giv-big-logo">
      <svgGiv />
    </div>
    <div class="register-form">
      <!-- <h3 class="header-text">{{ pageTitle }}</h3> -->
      <form @submit.prevent="register">
        <div class="form-group">
          <input type="text" class="form-control" name="text-1558421438751" v-model="form.username" placeholder="Input username" required>
          <small id="emailHelp" class="form-text text-muted">You need to input username for your login information</small>
        </div>
        <div class="form-group">
          <input type="password" name="text-1558421477780" class="form-control" v-model="form.password" placeholder="Input Password" required>
        </div>
        <div class="form-group">
          <input type="text" class="form-control" name="text-1558421492744" v-model="form.email" placeholder="Email" required>
          <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
        </div>
        <div class="form-group">
          <label for="gender">Choose gender</label>
          <select class="form-control" name="select-1558421554950" id="" v-model="form.gender" required>
            <option value="male">Male</option>
            <option value="female">Female</option>
          </select>
        </div>
        <div class="form-group">
          <label for="birth">Date of birth</label> <br>
          <!-- <input type="date" class="form-control" name="date-1558421606243" id="" v-model="form.dob" required> -->
          <datepicker placeholder="Select Date" v-model="form.dob" valueType="format"></datepicker>
        </div>
        <div class="form-group">
          <label class="text-input" for="">Marital Status</label>
          <div class="marital-options">
              <label for="one" class="radio-label">
                <input type="radio" class="radio-input" name="radio-group-1558421657915" id="one" value="0" v-model="form.status"> 
                <span class="text">Single</span>
              </label>
              <label for="two" class="radio-label">
                <input type="radio" class="radio-input" name="radio-group-1558421657915" id="two" value="1" v-model="form.status"> 
                <span class="text">Maried</span>
              </label>
              <label for="three" class="radio-label">
                <input type="radio" class="radio-input" name="radio-group-1558421657915" id="three" value="2" v-model="form.status"> 
                <span class="text">Widowed</span>
              </label>
              <label for="four" class="radio-label">
                <input type="radio" class="radio-input" name="radio-group-1558421657915" id="four" value="3" v-model="form.status"> 
                <span class="text">Divorce</span>
              </label>
          </div>
        </div>
        <button class="btn btn-giv btn-lg btn-block" name="button-1558421848040" type="submit">Save</button>
      </form>
    </div>
  </div>
</template>

<script>
import axios from 'axios'
import datepicker from 'vue2-datepicker'
import svgGiv from './svg/giv-svg'
import 'vue2-datepicker/index.css';

export default {
  name : 'mainContent',
  props : {
    pageTitle : String
  },
  components: {
    datepicker,
    svgGiv
  },
  data() {
    return{
      form: {
        username: '',
        password: '',
        email: '',
        gender: '',
        dob: '',
        status: ''
      },
      dummies: ''
    }
  },
  mounted() {
    this.load()
  },
  methods: {
    load(){
      axios.get('http://localhost:3000/dummies/').then(res => {
        this.dummies = res.data
      }).catch((err) => {
        console.log(err);
      })
    },
    register(){
      this.form.status = parseInt(this.form.status)
      this.form.dob = this.formatDate(this.form.dob)
      // console.log(this.form.dob)
      axios.post('http://localhost:3000/dummies/', this.form).then(res => {
        this.load()
        this.form.username = ''
        this.form.password = ''
        this.form.email = ''
        this.form.gender = ''
        this.form.dob = ''
        this.form.status = ''
      })
    },
    formatDate(date){
      let d = date.split('-')
      return `${d[2]}/${d[1]}/${d[0]}`
    }
  }
}
</script>

<style lang="scss" scoped>
input.radio-input{opacity: 0;}
label.radio-label{
  cursor: pointer;
  width: 23%;
  position: relative;
  margin: 6px 2px;
  input.radio-input:checked + span.text{
    background: rgb(37, 219, 119);
    box-shadow: inset 0 0 3px rgba($color: #059100, $alpha: 1.0);
    color: rgba($color: #fff, $alpha: 1.0);
  }
  >span.text{
    position: absolute;
    left: 0;
    width: 100%;
    font-size: 13px;
    padding: 5px 7px;
    text-align: center;
    border-radius: 4px;
    background: rgba(122, 122, 122, .5);
    color: rgba($color: #7e7e7e, $alpha: 1.0);
    // letter-spacing: 1px;
    transition: all ease-in-out .5s;
    &:hover{
      box-shadow: inset 0 0 10px rgba($color: #585858, $alpha: .6);
    }
  }
}
label.text-input{
  // font-weight: bolder;
  width: 100%;
  margin-bottom: 9px;
  position: relative;
  &::after{
    content: '';
    width: 100%;
    height: 3px;
    position: absolute;
    bottom: -2px;
    left: 0;
    right: 0;
    background: #54535f;
  }
}
.main-content{
  position: relative;
}
  .mx-datepicker{
    width: 100%;
    height: 30px;
  }
  .mx-input{
    height: 40px;
  }
  .giv-big-logo{
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto 0;
    width: 50%;
    height: 280px;
     >.svg-logo {
      width: 100%;
    }
  }
  .header-text{
    font-family: 'Poppins', sans-serif;
    text-align: center;
    margin-bottom: 25px;
  }
  .register-form{
    width: 400px;
    padding: 20px 34px 20px 34px;
    border-radius: 18px;
    background: #F1F3F6;
    margin-left: auto;
    border: 1px solid white;
    box-shadow: 30px 30px 80px rgba($color: #3754aa, $alpha: .16), -30px -30px 80px white, inset 4px 4px 20px rgba($color: #fff, $alpha: .5);
  }
  .btn-giv{
    background: #F4D82B;
    font-weight: bolder;
    letter-spacing: 2px;
    transition: all ease-in-out .5s;
    &:hover{
      background: rgb(231, 202, 13);
      box-shadow: inset 3px 3px 10px rgba($color: #ceb00b, $alpha: .5);
    }
  }
  .marital-options{
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    flex-wrap: wrap;
  }
  @media only screen and ( max-width: 768px ){
    .register-form{
      width: 100%;
      margin: 0 auto;
    }
    .marital-options{
      width: 100%;
    }
    .giv-big-logo{
      position: relative;
      width: 60%;
      height: auto;
      margin: 20px auto 30px auto;
    }
    label.radio-label{
      width: 48%;
    }
  }
</style>